<?php

namespace Custom\ProductManagement\Console\Command;

use Magento\Catalog\Model\Product\Attribute\Source\Status;

/**
 * Custom ProductManagement product deactivate console command.
 *
 * @category Custom
 * @package  Custom_ProductManagement
 * @author   Piotr Pierzak <piotrek.pierzak@gmail.com>
 */
class DeactivateCommand extends AbstractStatusCommand
{
    /**
     * @return int
     */
    protected function getProductStatus()
    {
        return Status::STATUS_DISABLED;
    }

    /**
     * {@inheritdoc}
     *
     * @return void
     * @throws \InvalidArgumentException
     */
    protected function configure()
    {
        $this
            ->setName('custom:productmanagement:deactivate')
            ->setDescription('Bulk product deactivate')
            ->setDefinition($this->getCommandDefinition());

        parent::configure();
    }
}
